package org.kne.opencl64;

import club.doki7.opencl.CLConstants;

public enum OpenCLMapFlag {
	CL_MAP_READ(CLConstants.MAP_READ),CL_MAP_WRITE(CLConstants.MAP_WRITE),CL_MAP_WRITE_INVALIDATE_REGION(CLConstants.MAP_WRITE_INVALIDATE_REGION);

	public final int flags;

	private OpenCLMapFlag(int flags) {
		this.flags=flags;
	}
}
